Subject: bug#19510: --with-ns won't run on Fedora 21

From: "Jan D." <[email-masked]>
Date: Wed, 7 Jan 2015 06:59:46 +0100

> 7 jan 2015 kl. 03:38 skrev Paul Eggert <[email-masked]>:
> 
> Jan D. wrote:
>> It looks like you have installed the wrong backend.
> 
> I imagine it was something more complicated than that, as I hadn't installed anything other than what Fedora 21 packages.  I had already installed the gnustep-gui-devel package but apparently that does not suffice to run GnuStep apps.  After installing gnustep-examples the problem went away.  The examples themselves aren't needed, but they have prerequisites that apparently supply the missing runtime components.  The whole thing is very mysterious, I must say; it would be nice if the diagnostics were clearer, but I'm so lost that I don't know what they should say.

I don't have Fedora 21 installed, but on 20 you had to install gnustep-back separately.
At one time there was two backends you could choose from, but 20 only seems to have one.

> 
> Anyway, thank for checking, and I am closing the bug.  Bug#19507 still remains (it wasn't affected by installing gnustep-examples).

Right.

	Jan D.